com.here.msdkui.common.measurements

## Enum MeasurementUnit

- java.lang.Object
- - java.lang.Enum<MeasurementUnit>
  - - com.here.msdkui.common.measurements.MeasurementUnit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MeasurementUnit>

      public enum MeasurementUnit
      extends java.lang.Enum<MeasurementUnit>

  All available measurement units.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FOOT`
    `KILOMETER`
    `KILOMETERS_PER_HOUR`
    `METER`
    `METERS_PER_SECOND`
    `MILE`
    `MILES_PER_HOUR`
    `YARD`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Converter` | `getConverter()` Returns a converter for this unit.
    `static MeasurementUnit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MeasurementUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### METER

          public static final MeasurementUnit METER

    - #### KILOMETER

          public static final MeasurementUnit KILOMETER

    - #### YARD

          public static final MeasurementUnit YARD

    - #### FOOT

          public static final MeasurementUnit FOOT

    - #### MILE

          public static final MeasurementUnit MILE

    - #### METERS_PER_SECOND

          public static final MeasurementUnit METERS_PER_SECOND

    - #### KILOMETERS_PER_HOUR

          public static final MeasurementUnit KILOMETERS_PER_HOUR

    - #### MILES_PER_HOUR

          public static final MeasurementUnit MILES_PER_HOUR

  - ### Method Detail

    - #### values

          public static MeasurementUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MeasurementUnit c : MeasurementUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MeasurementUnit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getConverter

          public Converter getConverter()

      Returns a converter for this unit.
      Returns:
        an instance of `Converter`.